Subject: [alpine-aports] [PATCH 1/2] testing/dwm: upgrade to 6.1

From: Sören Tempel <[email-masked]>
Date: Mon, 9 Nov 2015 11:57:01 +0100

---
 testing/dwm/APKBUILD          | 20 ++++++++++++--------
 testing/dwm/freetypeinc.patch | 12 ++++++++++++
 2 files changed, 24 insertions(+), 8 deletions(-)
 create mode 100644 testing/dwm/freetypeinc.patch

diff --git a/testing/dwm/APKBUILD b/testing/dwm/APKBUILD
index d999ddf..da6e169 100644
--- a/testing/dwm/APKBUILD
+++ b/testing/dwm/APKBUILD
@@ -1,20 +1,21 @@
 # Contributor: Gaber Ayoubi <[email-masked]>
 # Maintainer: Sören Tempel <[email-masked]>
 pkgname=dwm
-pkgver=6.0
-pkgrel=1
+pkgver=6.1
+pkgrel=0
 pkgdesc="dwm - dynamic window manager"
 url="http://dwm.suckless.org"
 arch="all"
 license="MIT/X"
 depends=""
 depends_dev=""
-makedepends="$depends_dev libx11-dev libxinerama-dev"
+makedepends="libxft-dev libx11-dev libxinerama-dev"
 install=""
 subpackages="$pkgname-doc"
-source="http://dl.suckless.org/dwm/$pkgname-$pkgver.tar.gz"
+source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz
+	freetypeinc.patch"
 
-_builddir="$srcdir"/dwm-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	local i
 	cd "$_builddir"
@@ -34,6 +35,9 @@ package() {
 		-C "$_builddir" install || return 1
 }
 
-md5sums="8bb00d4142259beb11e13473b81c0857  dwm-6.0.tar.gz"
-sha256sums="b2b9483de69259eeea56844899bb2385158d3e79a42d82b10c142099fc8eeb56  dwm-6.0.tar.gz"
-sha512sums="895d1d363b3756c9ba19dbf06af34be753c1ae5971d540113d7f8901ad174c2e5944ef769b43e65f7b700f34832bb24082bc91d999b287610c9925182ce70c00  dwm-6.0.tar.gz"
+md5sums="f0b6b1093b7207f89c2a90b848c008ec  dwm-6.1.tar.gz
+a5ff4aa30011dfe8b0ab7d6b35a8b6eb  freetypeinc.patch"
+sha256sums="c2f6c56167f0acdbe3dc37cca9c1a19260c040f2d4800e3529a21ad7cce275fe  dwm-6.1.tar.gz
+09cad929338b4caf32a7c77fa46dd6d968019e928f010c2f61a172069cccc2be  freetypeinc.patch"
+sha512sums="875644bbc246088f2c87e50debbadd4bc179444b396b1b327149087e8bc5303325ebc9103a7e3c864266ee1ac683ea3cd8f0a08285c8e46fc4389d5b83a555f1  dwm-6.1.tar.gz
+6705591b265120536071490d42f31a830431ad1c74a70d36f1dba4d0aa27a96338516d19507b092c2989d3116f2219fb0849e9fb3cb84c8f1db82350f8ca0adf  freetypeinc.patch"
diff --git a/testing/dwm/freetypeinc.patch b/testing/dwm/freetypeinc.patch
new file mode 100644
index 0000000..3e3fff6
--- /dev/null
+++ b/testing/dwm/freetypeinc.patch
@@ -0,0 +1,12 @@
+diff -upr dwm-6.1.orig/config.mk dwm-6.1/config.mk
+--- dwm-6.1.orig/config.mk	2015-11-09 11:40:01.970911763 +0100
++++ dwm-6.1/config.mk	2015-11-09 11:40:26.330814681 +0100
+@@ -17,8 +17,6 @@ XINERAMAFLAGS = -DXINERAMA
+ # freetype
+ FREETYPELIBS = -lfontconfig -lXft
+ FREETYPEINC = /usr/include/freetype2
+-# OpenBSD (uncomment)
+-FREETYPEINC = ${X11INC}/freetype2
+ 
+ # includes and libs
+ INCS = -I${X11INC} -I${FREETYPEINC}
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Mon, 9 Nov 2015 11:57:02 +0100

---
 main/dmenu/APKBUILD          | 33 +++++++++++++++++++--------------
 main/dmenu/freetypeinc.patch | 12 ++++++++++++
 2 files changed, 31 insertions(+), 14 deletions(-)
 create mode 100644 main/dmenu/freetypeinc.patch

diff --git a/main/dmenu/APKBUILD b/main/dmenu/APKBUILD
index bedbdae..9ff394a 100644
--- a/main/dmenu/APKBUILD
+++ b/main/dmenu/APKBUILD
@@ -1,6 +1,7 @@
-# Maintainer: Eivind Uggedal <[email-masked]>
+# Contributor: Eivind Uggedal <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
 pkgname=dmenu
-pkgver=4.5
+pkgver=4.6
 pkgrel=0
 pkgdesc="Dynamic menu for X"
 url="http://tools.suckless.org/dmenu/"
@@ -12,27 +13,31 @@ makedepends="libx11-dev libxinerama-dev libxft-dev"
 install=""
 subpackages="$pkgname-doc"
 source="http://dl.suckless.org/tools/$pkgname-$pkgver.tar.gz
-	http://tools.suckless.org/$pkgname/patches/$pkgname-$pkgver-xft-debian.diff"
+	freetypeinc.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
+	local i
 	cd "$_builddir"
-	patch -p1 -i "$srcdir"/$pkgname-$pkgver-xft-debian.diff
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
 }
 
 build() {
-	cd "$_builddir"
-	make
+	make -C "$_builddir" || return 1
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR=$pkgdir PREFIX=/usr install
+	make DESTDIR=$pkgdir PREFIX=/usr \
+		-C "$_builddir" install
 }
 
-md5sums="9c46169ed703732ec52ed946c27d84b4  dmenu-4.5.tar.gz
-0c73d595eb78f159bea83f33bba15e80  dmenu-4.5-xft-debian.diff"
-sha256sums="082cd698d82125ca0b3989006fb84ac4675c2a5585bf5bb8af0ea09cfb95a850  dmenu-4.5.tar.gz
-da72bb93d2aa06139bbb53826c50285e754543c19e7945a7f30de4d3b43425b1  dmenu-4.5-xft-debian.diff"
-sha512sums="872dee68c35a93c663eb0a941653eaaa4aa83d8379e05b4dbca089a2c9335036b496de85d8ddf7af1228a5625490a06a89031fb1aac726236b608b952962c248  dmenu-4.5.tar.gz
-759c6a3a46479e7bd47d208fcc7ee76622ebd79f82ecf4fe8120af17a2fcb295009da8687acc4c348072bec8cc5639dfaee01d4bcae5c6e979c85f33c9f4a45f  dmenu-4.5-xft-debian.diff"
+md5sums="6fedf081133bc0725cb040b3b8ac3fac  dmenu-4.6.tar.gz
+9b53d204b009bc23ffc22b615f719eb3  freetypeinc.patch"
+sha256sums="4a7a24008a621c3cd656155ad91ab8136db8f0d3b9ec56dafeec518cabda96b3  dmenu-4.6.tar.gz
+6229575db4eb0e79ca8399c6eebb0e9467208f30b7ae23f578733e7442a942b8  freetypeinc.patch"
+sha512sums="e54fd10c0b1274eb90173aea442f0bfc496f4dda861a36d94f939e1fd835594f9aa12f3d0f90043d64e519d919b9a5273ab65012230ac022f727ee6bb64862e3  dmenu-4.6.tar.gz
+607485a9e1a8c338255ecbf9fc22db6560f40c3692f80b43a89517e34b4819386d1c91c58346e6dc46f1c393c4d888e0012cf374f803e04ab381010bedb08647  freetypeinc.patch"
diff --git a/main/dmenu/freetypeinc.patch b/main/dmenu/freetypeinc.patch
new file mode 100644
index 0000000..758a58d
--- /dev/null
+++ b/main/dmenu/freetypeinc.patch
@@ -0,0 +1,12 @@
+diff -upr dmenu-4.6.orig/config.mk dmenu-4.6/config.mk
+--- dmenu-4.6.orig/config.mk	2015-11-09 11:55:46.363880396 +0100
++++ dmenu-4.6/config.mk	2015-11-09 11:55:57.450509604 +0100
+@@ -15,8 +15,6 @@ XINERAMAFLAGS = -DXINERAMA
+ # freetype
+ FREETYPELIBS = -lfontconfig -lXft
+ FREETYPEINC = /usr/include/freetype2
+-# OpenBSD (uncomment)
+-FREETYPEINC = ${X11INC}/freetype2
+ 
+ # includes and libs
+ INCS = -I${X11INC} -I${FREETYPEINC}
-- 
2.6.1

---